## Capsule
mod = Sketchup.active_model
ent = mod.entities
mod.start_operation "Create Capsule"
ent.clear!
# Create a 1/2 circle, normal to the Z axis
center = Geom::Point3d.new 
# normal = Geom::Vector3d.new 0,0,1
xaxis = Geom::Vector3d.new -1.1,0,0
start_a = 0.0
end_a = Math::PI
arc1 = ent.add_arc ORIGIN, xaxis, Z_AXIS, 1.1, start_a, end_a
xaxis = Geom::Vector3d.new 1.1,0,0
center = Geom::Point3d.new 0,2,0
line1 = ent.add_line [-1.1,0,0],[-1.1,2,0]
arc2 = ent.add_arc center, xaxis, Z_AXIS, 1.1, start_a, end_a
line2 = ent.add_line [1.1,0,0],[1.1,2,0]
path = arc1 + [line1] + arc2 + [line2]
zaxis = Geom::Vector3d.new 0,0,1
arc3 = ent.add_arc ORIGIN, zaxis, Y_AXIS, 1, start_a, end_a
vx10 = arc3[0].start
vx12 = arc3[-1].end
edge1= ent.add_line(vx10,vx12)
face = edge1.find_faces
faces = []
ent.each {|e| faces << e if e.is_a? Sketchup::Face }
faces[0].reverse!
faces[0].followme path
ent.erase_entities path
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
 
