##DRAW A PYRAMID
mod = Sketchup.active_model
ent = mod.active_entities
mod.start_operation "Create Pyramid" # Encapsulate a single UNDO operation.
ent.clear!
# input specified values for the pyramid
prompts = ["Base Box ", "Height"] # Define prompts in the input box
values = [20.mm, 20.mm] # default values in the input box
results = inputbox prompts, values, "Pyramid Dimensions"
return if not results # This means that the user canceled the operation
base, height = results
# Draw square for base of pyramid
pts = []
pts[0] = ORIGIN
pts[1] = [base, 0, 0]
pts[2] = [base, base, 0]
pts[3] = [0, base, 0]
pts[4] = ORIGIN
path = ent.add_curve pts
path.reverse!
# create PYRAMID
pts = []
pts[0] = ORIGIN
pts[1] = [base/2, base/2, 0]
pts[2] = [base/2, base/2, height]
face = ent.add_face pts
face.followme path
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
