## Tube
# Open model
mod = Sketchup.active_model 
# All entities in model
ent = mod.active_entities 
mod.start_operation "Tube"
ent.clear!
prompts = ["Inner Radius", "Outer Radius", "Height"]
values = [@Ri,@Ro, @H]
results = inputbox prompts,values,"Tube Dimensions"
return if not results
@Ri, @Ro, @H = results
circle = ent.add_circle(ORIGIN, Z_AXIS, @Ri.to_f,24)
circle1= ent.add_circle(ORIGIN, Z_AXIS, @Ro.to_f,24)
base = ent.add_face(circle1)
base1 = ent.add_face(circle)
ent.erase_entities base1
base.pushpull -@H.to_f
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation

