## Sphere
# Open model
mod = Sketchup.active_model
# All entities in model
ent = mod.entities 
mod.start_operation "Sphere"
ent.clear!
@radius = 10.mm if not @radius # along Green Y axis
prompts = ["radius", "Red", "Green", "Blue","Alpha"]
values = [@radius, @R, @G, @B, @A]
results = inputbox prompts, values, "Sphere"
return if not results
@radius, @R, @G, @B, @A= results
center = ORIGIN
radius = @radius
circle = ent.add_circle center, Z_AXIS, radius
circle_face = ent.add_face circle
# assign these right away - the followme will destroy the original circle_face
# Color.new needs integers not strings
circle_face.reverse! if (circle_face.normal.dot(Z_AXIS) < 0)
circle_face.material=Sketchup::Color.new(@R.to_i, @G.to_i, @B.to_i)
circle_face.material.alpha = @A.to_f
path = ent.add_circle center, Y_AXIS, radius + 1
circle_face.followme path
ent.erase_entities path
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
