## Limpet_Torus
# Open model
mod = Sketchup.active_model 
# All entities in model
ent = mod.entities 
ent.clear!
prompt = ["# Iterations : "]
params = [5]
result = inputbox(prompt, params, "Imput Limpet Torus Parameters")
if result
  it = [2, result[0]].max
else
  return
end
group = ent.add_group
group_ents = group.entities
mesh_lt = Geom::PolygonMesh.new
indexes = [0]
aux_vect = []
for ind_u in (-it..it-1)
  u = Math::PI*ind_u/it
  for ind_v in (-it..it-1)
    v = Math::PI*ind_v/it
    x = Math::cos(u)/(Math::sqrt(2) + Math::sin(v))
    y = Math::sin(u)/(Math::sqrt(2) + Math::sin(v))
    z = 1/(Math::sqrt(2) + Math::cos(v))
    pt = Geom::Point3d.new(100*x, 100*y, 100*z)
    index = mesh_lt.add_point(pt)
    indexes.push(index)
  end #for
end #for
for ind_u in (1..2*it-1)
  for ind_v in (1..2*it-1)
    aux_ind = 2*it*(ind_u-1) + ind_v
    aux_vect = [indexes[aux_ind], indexes[aux_ind+1], indexes[aux_ind+2*it]]
    mesh_lt.add_polygon(aux_vect)
    aux_vect = [indexes[aux_ind+1], indexes[aux_ind+1+2*it], indexes[aux_ind+2*it]]
    mesh_lt.add_polygon(aux_vect)
  end #for
  aux_vect = [indexes[aux_ind+1], indexes[aux_ind+2-2*it], indexes[aux_ind+1+2*it]]
  mesh_lt.add_polygon(aux_vect)
  aux_vect = [indexes[aux_ind+2-2*it], indexes[aux_ind+2], indexes[aux_ind+1+2*it]]
  mesh_lt.add_polygon(aux_vect)
end #for
for ind_v in (1..2*it-1)
  aux_vect = [indexes[ind_v], indexes[2*it*(2*it-1)+ind_v+1], indexes[ind_v+1]]
  mesh_lt.add_polygon(aux_vect)
  aux_vect = [indexes[ind_v], indexes[2*it*(2*it-1)+ind_v], indexes[2*it*(2*it-1)+ind_v+1]]
  mesh_lt.add_polygon(aux_vect)
end #for
aux_vect = [indexes[2*it*(2*it-1)+1], indexes[2*it], indexes[4*it*it]]
mesh_lt.add_polygon(aux_vect)
aux_vect = [indexes[1], indexes[2*it], indexes[2*it*(2*it-1)+1]]
mesh_lt.add_polygon(aux_vect)
group_ents.add_faces_from_mesh(mesh_lt)
Sketchup.send_action"viewZoomExtents:"
