## spiral
 mod = Sketchup.active_model
 ents = mod.active_entities
 mats = mod.materials
 ents.clear!
#--[ 
def spiral r,rt,dz,dth,ns, ents
 nb = ents.length
#puts [r,rt,dz,dth,ns].inspect
 cb = ents.add_circle [0,0,0],[0,0,-1],r+rt
 fb = ents.add_face cb
 fb.back_material ="Firebrick"
 fb.material ="Firebrick"
 UI.messagebox "Next Step"
 fb.pushpull rt+dz
 UI.messagebox "Next Step"
 ct = ents.add_circle [0,0,dz*ns],[0,0,1],r+rt
 ft = ents.add_face ct
 ft.material ="Firebrick"
 UI.messagebox "Next Step"
 ft.pushpull rt+dz
 UI.messagebox "Next Step"
# Construct spiral
 p =[]
 p[0] = [1,0,0]
 for k in 1..ns 
   th = dth*k
   x = r * Math.cos(th)
   y = r * Math.sin(th)
   z = k*dz
   p[k] = [x,y,z]
 end #for
 path = ents.add_edges p
# Make the spiral cross section
 UI.messagebox "Next Step"
 circle = ents.add_circle p[0],[0,1,0], rt
  UI.messagebox "Next Step"
 circle_face = ents.add_face circle
 circle_face.back_material = "SteelBlue"
# circle_face.back_material = "SteelBlue"
 UI.messagebox "Next Step"
 circle_face.followme(path)
 UI.messagebox "Next Step"
 end #def
#--]
 r,rt,dz,dth,ns = 1, 0.15, 0.05, 0.5236, 5*12
 spiral r,rt,dz,dth,ns,ents
 Sketchup.send_action"viewIso:"
 Sketchup.send_action "viewZoomExtents:"
