## Concrete Stair
require 'sketchup.rb'
def stairconc
    #Set default stair settings
    $concwidth = 36.inch if not $concwidth
    $concheight = 9.feet if not $concheight
    $concriser = 15 if not $concriser
    $conctread = 11.inch if not $conctread
    $concnosing = 1.25.inch if not $concnosing
    $nextheight = 0.feet if not $nextheight 
    # Dialog box
    prompts = ["Stair Width", "Floor/Floor Height ", "No. Risers", "Tread Width", "Nosing", "Next Height"]
    values = [$concwidth, $concheight, $concriser, $conctread, $concnosing, $nextheight]
    results = inputbox prompts, values, "Stair Properties"
    return if not results
    $concwidth, $concheight, $concriser, $conctread, $concnosing, $nextheight = results
    $concincrement=$concheight/$concriser
    model=Sketchup.active_model
    entities=model.active_entities
    group=entities.add_group
    entities=group.entities
    i=0
    j=0
    pt=[]
    pt[j]=[0, 0, $nextheight]
    xx=0
    yy=0
    zz=$nextheight
    while i < $concriser
       i=i+1
       j=j+1
       xx=xx-$concnosing  
       zz=zz+$concincrement 
       pt[j]=[xx, yy, zz]
       j=j+1
       xx=xx+$concnosing+$conctread
       pt[j]=[xx, yy, zz]
    end #while
    j=j+1
    pt[j]=[xx, yy, zz-$concincrement]
    j=j+1
    pt[j]=[$conctread, 0, $nextheight]
    base=entities.add_face pt
    base.pushpull $concwidth
    view=model.active_view
    view.zoom_extents
    model.commit_operation
end
=begin
if( not file_loaded?("StairConc.rb") )
    UI.menu("Plugins").add_item("Stair-Concrete") { stairconc }
end
file_loaded("StairConc.rb")
=end
stairconc
