## Box
mod = Sketchup.active_model
ent = mod.active_entities
prompts = ["Width", "Height","Depth"]    
values = [6.mm, 5.mm, 4.mm]    
results = inputbox prompts, values, "Box Dimensions"    
return if not results 
width, height, depth = results
mod.start_operation "Create Box"    
ent.clear!
pts = []
pts[0] = ORIGIN
pts[1] = [width, 0, 0]
pts[2] = [width, depth, 0]
pts[3] = [0, depth, 0]
base = ent.add_face pts
height = -height if( base.normal.dot(Z_AXIS) < 0 )
# Now we can do the pushpull
base.pushpull height
# Now we are done and we can end the operation
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
