## Cone
mod = Sketchup.active_model
ent = mod.active_entities
# Encapsulate a single UNDO operation.
mod.start_operation "Create Cone" 
ent.clear!
prompts = ["Base Diameter ", "Height"] 
values = [20.mm, 10.mm] 
results = inputbox prompts, values, "Cone Dimensions"
# This means that the user canceled the operation
return if not results 
base, height = results
# input specified values for the cone
center = [0,0,0] # Center of cone base 
vector = [0,0,1] # Normal Vector 
radius = base/2 # Radius of cone base
segments = 24 # Default number of segments
# Draw circle for base of cone
cone_base = ent.add_circle(center, vector, radius, segments)
# Find_faces of circle 'cone_base' and call it 'face'
face = ent.add_face(cone_base)
# create cone
vertices = face.vertices
cone_height=[0,0,height]
face1 = ent.add_face(center,cone_height,vertices[0])
face1.followme cone_base
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
