## Vault
mod = Sketchup.active_model
ent = mod.entities
ent.clear!
# Create a 1/2 circle, normal to the Y axis
start_a = 0.0
end_a = Math::PI
xaxis = Geom::Vector3d.new -1,0,0
arc1 = ent.add_arc ORIGIN, xaxis, Y_AXIS, 1.mm, start_a, end_a
vx10 = arc1[0].start
vx12 = arc1[-1].end
edge1=ent.add_line(vx10,vx12)
edge1.find_faces
faces = []
ent.each {|e| faces << e if e.is_a? Sketchup::Face }
faces[0].reverse!
faces[0].pushpull 2.mm

