## Torus
# Open model
mod = Sketchup.active_model 
# All entities in model
ent = mod.entities 
#sel = mod.selection # Current selection
ent.clear!
prompts=["Inner Radius","Outer Radius"]
values = [@Ri,@Ro]
results = inputbox prompts, values, "Torus"
return if not results
@Ri, @Ro = results
mod.start_operation "Torus"
ri = @Ri.to_f
ro = @Ro.to_f
rad = (ro - ri)/2
center = [ri+ rad,0,0]
circle = ent.add_circle center, Y_AXIS, rad
circle_face = ent.add_face circle
path = ent.add_circle ORIGIN, Z_AXIS, rad
circle_face.followme path
ent.erase_entities path
Sketchup.send_action "viewZoomExtents:"
mod.commit_operation
