## Box of Sardines
mod = Sketchup.active_model
ent = mod.entities
ent.clear!
group = ent.add_group
ent = group.entities
# half curve to right
center = Geom::Point3d.new 150.mm,0,0
normal = Geom::Vector3d.new 0,0,1
xaxis = Geom::Vector3d.new 1,0,0
start_a = Math::PI/-2
end_a = Math::PI/2
edgearray = ent.add_arc center, xaxis, normal, 50.mm, start_a, end_a
edge = edgearray[0]
arccurve = edge.curve
verts = arccurve.vertices
# half curve to left
center = Geom::Point3d.new 50.mm,0,0
normal = Geom::Vector3d.new 0,0,1
xaxis = Geom::Vector3d.new 0,1,0
start_a = 0.0
end_a = Math::PI
edgearray = ent.add_arc center, xaxis, normal, 50.mm, start_a, end_a
edge = edgearray[0]
arccurve = edge.curve
verts += arccurve.vertices
face = ent.add_face verts
status = face.pushpull 20.mm
Sketchup.send_action"viewZoomExtents:"
